## org.eclipse.emf.cdo.edit
Class CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider

    java.lang.Object
      org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IItemLabelProvider

Enclosing class:
  CDOItemProviderAdapter.CDOPropertyDescriptor

    public static class CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider

extends java.lang.Object
implements org.eclipse.emf.edit.provider.IItemLabelProvider

Constructor Summary
`CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider()`

Method Summary
`java.lang.Object` `getImage(java.lang.Object object)`
`java.lang.String` `getText(java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider

    public CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider()

Method Detail

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  Specified by:
    `getImage` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`

### getText

    public java.lang.String getText(java.lang.Object object)

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.